MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# src/glib_compat.h File Reference

`#include <glib.h>`
`#include <string.h>`

Go to the source code of this file.

## Defines
#define | g_queue_clear(q) do { g_queue_free(q); q = g_queue_new(); } while (0)
## Functions
static guint | g_timeout_add_seconds (guint interval, GSourceFunc function, gpointer data)
static void | g_propagate_prefixed_error (GError **dest_r, GError *src, const gchar *format,...)
static char * | g_uri_escape_string (const char *unescaped, const char *reserved_chars_allowed, gboolean allow_utf8)
static char * | g_uri_parse_scheme (const char *uri)

## Define Documentation

#define g_queue_clear | ( |  | q | ) | do { g_queue_free(q); q = g_queue_new(); } while (0)

Definition at line 33 of file glib_compat.h.

## Function Documentation

static void g_propagate_prefixed_error | ( | GError ** | dest_r,
|  | GError * | src,
|  | const gchar * | format,
|  |  | ...
| ) |  | `[inline, static]`

Definition at line 46 of file glib_compat.h.

static guint g_timeout_add_seconds | ( | guint | interval,
|  | GSourceFunc | function,
|  | gpointer | data
| ) |  | `[inline, static]`

Definition at line 36 of file glib_compat.h.

static char* g_uri_escape_string | ( | const char * | unescaped,
|  | const char * | reserved_chars_allowed,
|  | gboolean | allow_utf8
| ) |  | `[inline, static]`

Definition at line 53 of file glib_compat.h.

static char* g_uri_parse_scheme | ( | const char * | uri | ) | `[inline, static]`

Definition at line 67 of file glib_compat.h.